Name:          emerillon
Version:       0.1.1
Release:       2%{?dist}
Summary:       A map viewer for GNOME

Group:         User Interface/Desktops
License:       GPLv2+ and LGPLv2+
URL:           http://www.novopia.com/emerillon/
Source0:       ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.1/%{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: ethos-devel
BuildRequires: gtk2-devel
BuildRequires: GConf2-devel
BuildRequires: geoclue-devel
BuildRequires: libchamplain-gtk-devel
BuildRequires: rest-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Emerillon is a map viewer for GNOME that has an extensible plugin architecture
and Telepathy integration to enable app and location sharing and display of 
friends locations.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang %{name}

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}*/
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sun Jan 10 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.1-2
- Re-enable search plugin

* Sun Jan 10 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.1-1
- New upstream 0.1.1 release, drop upstreamed patches

* Sat Jan  9 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.0-6
- A few minor updates

* Wed Dec 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-5
- Fix typo

* Tue Dec 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-4
- Further updates review bits

* Fri Dec 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-3
- Updated license to GPLv2 after confirmation from upstream

* Fri Dec 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-2
- Fix detection of new rest library, desktop file and license

* Thu Oct 15 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-1
- Initial packaging
